﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GridViewRowDetailsTemplateModal
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            var window = new SampleWindow();
            window.ShowDialog();
        }
    }

    public class Team
    {
        public int Id
        {
            get;
            set;
        }
        public string Name
        {
            get;
            set;
        }
        public int Place
        {
            get;
            set;
        }
    }

    public class Division
    {
        public Division()
        {
            this.Teams = new List<Team>();
        }

        public int Id
        {
            get;
            set;
        }
        public string Name
        {
            get;
            set;
        }
        public List<Team> Teams
        {
            get;
            set;
        }
    }

    public class MainViewModel
    {
        public MainViewModel()
        {
            this.Divisions = new ObservableCollection<Division>();

            for (int i = 1; i <= 4; i++)
            {
                var devision = new Division()
                {
                    Id = i,
                    Name = "Devision " + i,
                };

                for (int j = 1; j <= 4; j++)
                {
                    var team = new Team()
                    {
                        Id = j,
                        Name = $"Devision: {i}; Team: {j}",
                        Place = j,
                    };

                    devision.Teams.Add(team);
                }

                this.Divisions.Add(devision);
            }
        }

        public ObservableCollection<Division> Divisions { get; set; }
    }
}
